# This file created by conda-build 24.11.2
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Wed Dec  4 08:50:16 2024
# ------------------------------------------------

package:
  name: ptyprocess
  version: 0.7.0
source:
  sha256: 5c5d0a3b48ceee0b48485e0c26037c0acd7d29765ca3fbb5cb3831d347423220
  url: https://pypi.org/packages/source/p/ptyprocess/ptyprocess-0.7.0.tar.gz
build:
  noarch: python
  number: '1'
  script:
    - flit build --format wheel
    - /home/conda/feedstock_root/build_artifacts/ptyprocess_1733302279685/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/bin/python
      -m pip install dist/*.whl --no-deps -vv
  string: pyhd8ed1ab_1
requirements:
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - brotli-python 1.1.0 py39hf88036b_2
    - bzip2 1.0.8 h4bc722e_7
    - ca-certificates 2024.8.30 hbcca054_0
    - certifi 2024.8.30 pyhd8ed1ab_0
    - cffi 1.17.1 py39h15c3d72_0
    - charset-normalizer 3.4.0 pyhd8ed1ab_1
    - docutils 0.21.2 pyhd8ed1ab_1
    - flit 3.10.1 pyhd8ed1ab_1
    - flit-core 3.10.1 pyhd8ed1ab_1
    - h2 4.1.0 pyhd8ed1ab_1
    - hpack 4.0.0 pyhd8ed1ab_1
    - hyperframe 6.0.1 pyhd8ed1ab_1
    - idna 3.10 pyhd8ed1ab_1
    - ld_impl_linux-64 2.43 h712a8e2_2
    - libffi 3.4.2 h7f98852_5
    - libgcc 14.2.0 h77fa898_1
    - libgcc-ng 14.2.0 h69a702a_1
    - libgomp 14.2.0 h77fa898_1
    - libnsl 2.0.1 hd590300_0
    - libsqlite 3.47.0 hadc24fc_1
    - libstdcxx 14.2.0 hc0a3c3a_1
    - libstdcxx-ng 14.2.0 h4852527_1
    - libuuid 2.38.1 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.1 hb9d3cd8_2
    - ncurses 6.5 he02047a_1
    - openssl 3.4.0 hb9d3cd8_0
    - pip 24.3.1 pyh8b19718_0
    - pycparser 2.22 pyh29332c3_1
    - pysocks 1.7.1 pyha55dd90_7
    - python 3.9.20 h13acc7a_1_cpython
    - python_abi 3.9 5_cp39
    - readline 8.2 h8228510_1
    - requests 2.32.3 pyhd8ed1ab_1
    - setuptools 75.6.0 pyhff2d567_1
    - tk 8.6.13 noxft_h4845f30_101
    - tomli-w 1.1.0 pyhd8ed1ab_1
    - tzdata 2024b hc8b5060_0
    - urllib3 2.2.3 pyhd8ed1ab_1
    - wheel 0.45.1 pyhd8ed1ab_1
    - xz 5.2.6 h166bdaf_0
    - zstandard 0.23.0 py39h08a7858_1
    - zstd 1.5.6 ha6fb4c9_0
  run:
    - python >=3.9
test:
  imports:
    - ptyprocess
  requires:
    - python 3.9.*
about:
  description: 'Ptyprocess allows you to launch a subprocess in a pseudo terminal
    (pty),

    and interact with both the process and its pty.

    '
  dev_url: https://github.com/pexpect/ptyprocess
  doc_source_url: https://github.com/pexpect/ptyprocess/blob/master/docs/index.rst
  doc_url: http://ptyprocess.readthedocs.io/en/latest/
  home: https://github.com/pexpect/ptyprocess
  license: ISC
  summary: Run a subprocess in a pseudo terminal
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: azure_20241204.1.1
  recipe-maintainers:
    - ocefpaf
    - pelson
    - takluyver
  remote_url: https://github.com/conda-forge/ptyprocess-feedstock
  sha: fc4ee14676d95a92bf7dcb4e482ca3637072b873
